ruby-standalone 2.7~4 source package in Ubuntu

Changelog

ruby-standalone (2.7~4) unstable; urgency=medium

  [ C├ędric Boutillier ]
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * ruby-standalone wrapper: add `set -eu`
  * ruby-standalone wrapper: resist $USER being empty
  * Use backend implementation from rubygems-integration
  * Build manpage using ronn instead of pandoc

 -- Antonio Terceiro <email address hidden>  Sat, 12 Sep 2020 19:23:10 -0300

Upload details

Uploaded by:
Antonio Terceiro on 2020-09-13
Uploaded to:
Sid
Original maintainer:
Antonio Terceiro
Architectures:
any
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
ruby-standalone_2.7~4.dsc 1.6 KiB 5910376f7b5d25878e95551bef16182ebc65dff44a2ea13377c66660231d7052
ruby-standalone_2.7~4.tar.xz 7.3 KiB 0dc4073241465cd2120b2a1005227a13958ef7e5760e9d266b0c01fc6f3e2aa7

Available diffs

No changes file available.

Binary packages built by this source

ruby-standalone: Ruby interpreter that won't integrate with Debian packages

 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming. It has many features to process text
 files and to do system management tasks (as in perl). It is simple,
 straight-forward, and extensible.
 .
 This package provides a Ruby interpreter without providing support for other
 Debian-provided Ruby packages, i.e. it won't use any code from Debian packages
 that provide Ruby libraries, Rubygems won't recognize libraries installed with
 Debian packages etc.
 .
 This package is mostly useful for server deployments or development
 environments where one wants or needs to obtain the Ruby interpreter from
 Debian (and thus benefit from having security updates, not having to build
 from source, obtaining pre-built binaries from a trusted source etc.), but
 install everything else from sources external to Debian such as rubygems.org.
 .
 No official Debian Ruby packages, application or library, should depend on this
 package.

ruby-standalone-dbgsym: debug symbols for ruby-standalone